Tickets API · Ticket types and states
Change a ticket type
PATCH /api/v1/accounts/{account_id}/ticket_types/{id}
Authorization api_access_tokenheader required
A person's access token (Texa Desk, Profile settings → Access token ) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters account_idinteger required
Responses
curl -X PATCH 'https://desk.texadesk.com/api/v1/accounts/1/ticket_types/1' \
-H "api_access_token: $TEXA_DESK_TOKEN "
import os , requests
headers = { "api_access_token" : os . environ [ "TEXA_DESK_TOKEN" ]}
r = requests . patch ( "https://desk.texadesk.com/api/v1/accounts/1/ticket_types/1" , headers = headers )
r . raise_for_status ()
print ( r . json ())
const r = await fetch ( "https://desk.texadesk.com/api/v1/accounts/1/ticket_types/1" , {
method : "PATCH" ,
headers : { "api_access_token" : ` ${ process . env . TEXA_DESK_TOKEN } ` },
});
if ( ! r . ok ) throw new Error ( ` ${ r . status } : ${ await r . text () } ` );
console . log ( await r . json ());